<template>
	<div class="w100 h100">
		<iframe
			src="/webHmi/home"
			name="hmi"
			width="100%"
			height="100%"
			frameborder="0"
		></iframe>
	</div>
</template>
<script>
import { mapState, mapMutations, mapActions } from 'vuex';
import Utility from '~/plugins/utility';

let myTitle;
// const myPrgmId = "PRG4107";
let myPrgmId;
export default {
	async asyncData(context) {
		const myState = context.store.state;
		// context.store.commit("setActiveMenuInfo", myState.menuData[myPrgmId]);
		// myTitle = myState.activeMenuInfo.menuNm;
		myPrgmId = context.route.query.prgmId;
		await context.store.commit('setActiveMenuInfo', myState.menuData[myPrgmId]);
		myTitle = await myState.activeMenuInfo.menuNm;
	},
	meta: {
		title: () => {
			return myTitle;
		},
		prgmId: myPrgmId,
		closable: true,
	},
	components: {
		Utility,
	},
	data() {
		return {
			myPrgmId: myPrgmId,
		};
	},
	computed: {
		...mapState({
			pageData: state => state.pageData[myPrgmId],
		}),
	},
	watch: {},
	async beforeCreate() {
		myPrgmId = this.$route.query.prgmId;
		await this.$store.dispatch('chkOpenTabList', {
			key: 'create',
			prgmId: myPrgmId,
			defaultData: defaultData,
		});
	},
	async created() {},
	async mounted() {},
	methods: {
		...mapMutations({
			setPageData: 'setPageData',
			setGridData: 'setGridData',
			setGridColumn: 'setGridColumn',
			setGridOption: 'setGridOption',
			setChartOption: 'setChartOption',
		}),
		...mapActions({
			postApi: 'modules/list/postApi',
			postUpdateApi: 'modules/list/postUpdateApi',
			postApiReturn: 'modules/list/postApiReturn',
			chkOpenTabList: 'chkOpenTabList',
		}),
	},
};

const defaultData = {
	isFind: false,
};

const myDetail = [];
</script>

<style lang="scss" scoped>
.swiper-wrapper {
	box-sizing: inherit !important;
}

.swiper-pagination-horizontal {
	bottom: 10px;
	left: 0;
	width: 100%;
}
.swiper-pagination-bullet {
	width: 15px;
	height: 15px;
	margin: 0 var(--swiper-pagination-bullet-horizontal-gap, 5px);
	background: #fff;
}

.swiper-pagination-bullet-active {
	opacity: 1;
	background: #196dcb;
}
// .swiper-position{
//   position: fixed;
// }
</style>
